List all connectors for the authenticated organization
curl --request POST \
--url https://app.textql.com/v1/connectors \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.textql.com/v1/connectors"
payload = {}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://app.textql.com/v1/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connectors": [
{
"athenaMetadata": {
"region": "<string>",
"database": "<string>",
"workgroup": "<string>",
"s3OutputLocation": "<string>",
"athenaAuth": {
"accessKey": {
"accessKeyId": "<string>",
"secretAccessKey": "<string>"
}
}
},
"id": 123,
"name": "<string>",
"memberId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"isExample": true,
"allowSqlWriteOperations": true,
"authStrategy": "<string>",
"authenticatedByMemberId": "<string>",
"memberAuthenticated": true,
"memberAuthUsername": "<string>"
}
]
}{
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Connectors
List Connectors
Retrieve all connectors for your organization
POST
/
v1
/
connectors
List all connectors for the authenticated organization
v2 available: See GET /v2/connectors for the REST-native version of this endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Body
application/json
The body is of type ListConnectorsRequest · object.
Response
Success
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
- Connector
Show child attributes
Show child attributes
⌘I